package com.hssx.pcbms.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;

/**
 * <p>
 * 菜单功能权限关联表
 * </p>
 *
 * @author 吴涛涛
 * @since 2019-11-05
 */
public class SysFunction extends Model<SysFunction> {

    private static final long serialVersionUID=1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 功能名称
     */
    @TableField("name")
    private String name;

    /**
     * 图标
     */
    @TableField("icon")
    private String icon;

    /**
     * 功能字符KEY
     */
    @TableField("code")
    private String code;

    /**
     * 对应模块ID
     */
    @TableField("module_id")
    private Integer moduleId;

    /**
     * 功能排序
     */
    @TableField("seq")
    private Integer seq;

    /**
     * 0:启用,1.未启用
     */
    @TableField("use_state")
    private Boolean useState;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getIcon() {
        return icon;
    }

    public void setIcon(String icon) {
        this.icon = icon;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public Integer getModuleId() {
        return moduleId;
    }

    public void setModuleId(Integer moduleId) {
        this.moduleId = moduleId;
    }

    public Integer getSeq() {
        return seq;
    }

    public void setSeq(Integer seq) {
        this.seq = seq;
    }

    public Boolean getUseState() {
        return useState;
    }

    public void setUseState(Boolean useState) {
        this.useState = useState;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "SysFunction{" +
        "id=" + id +
        ", name=" + name +
        ", icon=" + icon +
        ", code=" + code +
        ", moduleId=" + moduleId +
        ", seq=" + seq +
        ", useState=" + useState +
        "}";
    }
}
